<?php
    session_start();
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
        $userLogged = $_SESSION['user'];
        $userNick = $_SESSION['nick'];
        $userClan = $_SESSION['clan'];
        $userImg = $_SESSION['img'];
    } else {
        header("location:index.php");
    }

?>
    <!DOCTYPE html>
    <html>

    <head>

        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <title>Villa Bydur</title>
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <link rel="stylesheet" type="text/css" href="css/menu.css">
        <link rel="stylesheet" type="text/css" href="css/interna.css">
        <link rel="stylesheet" href="lib/font-awesome-4.3.0/css/font-awesome.min.css">

        <?php
        include "php/functions.php"
        ?>
            <?php    
        $arrayGuerreros1 = readCSV("csv/guerreros.csv", "JORGE TELLEZ PEDRAZA", true);
        $arrayGuerreros2 = readCSV("csv/guerreros.csv", "RICARDO VARGAS BOTAN", true);
        $arrayGuerreros3 = readCSV("csv/guerreros.csv", "YUDY MENDOZA GIRALDO", true);
        $liderGuerreros1 = getLeader($arrayGuerreros1);
        $liderGuerreros2 = getLeader($arrayGuerreros2);
        $liderGuerreros3 = getLeader($arrayGuerreros3);
        $arrayDecretos1 = readCSV("csv/decretos.csv", "JORGE TELLEZ PEDRAZA", true);
        $arrayDecretos2 = readCSV("csv/decretos.csv", "RICARDO VARGAS BOTAN", true);
        $arrayDecretos3 = readCSV("csv/decretos.csv", "YUDY MENDOZA GIRALDO", true);
        $liderDecretos1 = getLeader($arrayDecretos1);
        $liderDecretos2 = getLeader($arrayDecretos2);
        $liderDecretos3 = getLeader($arrayDecretos3);
        $arrayCaballeros1 = readCSV("csv/caballeros.csv", "JORGE TELLEZ PEDRAZA", true);
        $arrayCaballeros2 = readCSV("csv/caballeros.csv", "RICARDO VARGAS BOTAN", true);
        $arrayCaballeros3 = readCSV("csv/caballeros.csv", "YUDY MENDOZA GIRALDO", true);
        $liderCaballeros1 = getLeader2($arrayCaballeros1);
        $liderCaballeros2 = getLeader2($arrayCaballeros2);
        $liderCaballeros3 = getLeader2($arrayCaballeros3);
        $arrayArcas = readCSV2("csv/arcas.csv", false);
        $arrayTop = readCSV2("csv/top.csv", false);

    
        if ($userClan == "JORGE TELLEZ PEDRAZA"){
            $statsGuerreros = getStats($userLogged, $arrayGuerreros1);
            $statsDecretos = getStats($userLogged, $arrayDecretos1);
            $statsCaballeros = getStats($userLogged, $arrayCaballeros1);
        } else if ($userClan == "RICARDO VARGAS BOTAN"){
            $statsGuerreros = getStats($userLogged, $arrayGuerreros2);
            $statsDecretos = getStats($userLogged, $arrayDecretos2);
            $statsCaballeros = getStats($userLogged, $arrayCaballeros2);
        } else if ($userClan == "YUDY MENDOZA GIRALDO"){
            $statsGuerreros = getStats($userLogged, $arrayGuerreros3);
            $statsDecretos = getStats($userLogged, $arrayDecretos3);
            $statsCaballeros = getStats($userLogged, $arrayCaballeros3);
        } else {
            $statsGuerreros = array(0,0,0,0,0,0,0,0);
            $statsDecretos = array(0,0,0,0,0,0,0,0);
            $statsCaballeros = array(0,0,0,0,0,0,0,0);
        }
        
        $promGuerreros = (promCol(5, $arrayGuerreros1)+promCol(5, $arrayGuerreros2)+promCol(5, $arrayGuerreros3))/3;
        $promDecretos = (promCol(5, $arrayDecretos1)+promCol(5, $arrayDecretos2)+promCol(5, $arrayDecretos3))/3;
        $promCaballeros = (promCol(10, $arrayCaballeros1)+promCol(10, $arrayCaballeros2)+promCol(10, $arrayCaballeros3))/3;
        $promBydur = ($promGuerreros + $promDecretos + $promCaballeros)/3;
        $arrayLideres1 = leaderCol(5, $arrayGuerreros1, 5, $arrayDecretos1, 10, $arrayCaballeros1);
        $arrayLideres2 = leaderCol(5, $arrayGuerreros2, 5, $arrayDecretos2, 10, $arrayCaballeros2);
        $arrayLideres3 = leaderCol(5, $arrayGuerreros3, 5, $arrayDecretos3, 10, $arrayCaballeros3);
		$arrayLideres1 = leaderCol(5, $arrayGuerreros1, 5, $arrayDecretos1, 10, $arrayCaballeros1);
        $arrayLideres2 = leaderCol(5, $arrayGuerreros2, 5, $arrayDecretos2, 10, $arrayCaballeros2);
        $arrayLideres3 = leaderCol(5, $arrayGuerreros3, 5, $arrayDecretos3, 10, $arrayCaballeros3);
        $liderClan1 = leaderClan($arrayLideres1);
        $liderClan2 = leaderClan($arrayLideres2);
        $liderClan3 = leaderClan($arrayLideres3);
        $progresoClan1 = (promCol(5, $arrayGuerreros1)+promCol(5, $arrayDecretos1)+promCol(10, $arrayCaballeros1))/3;
        $progresoClan2 = (promCol(5, $arrayGuerreros2)+promCol(5, $arrayDecretos2)+promCol(10, $arrayCaballeros2))/3;
        $progresoClan3 = (promCol(5, $arrayGuerreros3)+promCol(5, $arrayDecretos3)+promCol(10, $arrayCaballeros3))/3;
        $nombrePremio = openPrize("prize/nombre.txt");
        $desafio = getWeekly("prize/desafio.txt");
        
        if($desafio == "guerreros"){
            $liderImg1 = leaderImg($liderGuerreros1[0][1]);
            $liderImg2 = leaderImg($liderGuerreros2[0][1]);
            $liderImg3 = leaderImg($liderGuerreros3[0][1]);
            $liderName1 = $liderGuerreros1[0][1];
            $liderName2 = $liderGuerreros2[0][1];
            $liderName3 = $liderGuerreros3[0][1];
        }else if ($desafio == "decretos"){
            $liderImg1 = leaderImg($liderDecretos1[0][1]);
            $liderImg2 = leaderImg($liderDecretos2[0][1]);
            $liderImg3 = leaderImg($liderDecretos3[0][1]);
            $liderName1 = $liderDecretos1[0][1];
            $liderName2 = $liderDecretos2[0][1];
            $liderName3 = $liderDecretos3[0][1];
        }else if ($desafio == "caballeros"){
            $liderImg1 = leaderImg($liderCaballeros1[0][1]);
            $liderImg2 = leaderImg($liderCaballeros2[0][1]);
            $liderImg3 = leaderImg($liderCaballeros3[0][1]);
            $liderName1 = $liderCaballeros1[0][1];
            $liderName2 = $liderCaballeros2[0][1];
            $liderName3 = $liderCaballeros3[0][1];
        }else if ($desafio == "general"){
            $liderImg1 = leaderImg($liderClan1[0][0]);
            $liderImg2 = leaderImg($liderClan2[0][0]);
            $liderImg3 = leaderImg($liderClan3[0][0]);
            $liderName1 = $liderClan1[0][0];
            $liderName2 = $liderClan2[0][0];
            $liderName3 = $liderClan3[0][0];
        }
        
        if($userLogged == $liderName1 || $userLogged == $liderName2 || $userLogged == $liderName3){
            if ($userClan == "JORGE TELLEZ PEDRAZA"){
                $puedeJugar = canPlay("prize/azul.txt");
            } else if ($userClan == "RICARDO VARGAS BOTAN"){
                $puedeJugar = canPlay("prize/naranja.txt");
            } else if ($userClan == "YUDY MENDOZA GIRALDO"){
                $puedeJugar = canPlay("prize/rojo.txt");
            }
            $msj = "Lo sentimos, pero ya participaste esta semana.";
        }else{
            $puedeJugar = "FALSE";
            $msj = "Lo sentimos, en este campo del reino sólo los líderes de los clanes pueden entrar.";
        }
        $_SESSION['play'] = $puedeJugar;
    ?>

    </head>

    <body onload="startAnimation()">
        <audio loop id="audio-juego">
            <source src="sounds/background.mp3" type="audio/mpeg">
        </audio>
        <span style="display:none;" id="user"><?php echo $userLogged ?></span>
        <span style="display:none;" id="clan"><?php echo $userClan ?></span>
        <span style="display:none;" id="play"><?php echo $puedeJugar ?></span>
        <img class="cargando" src="img/iconos/loading.gif">
        <div class="juego">
            <nav class="menu">
                <div class="nav-sup">
                    <ul class="primera-linea">
                        <li><a href="campo.php">Inicio</a>•</li>
                        <li><a href="villa-bydur-info.html" target="_blank">Villa Bydur</a>•</li>
                        <li><a href="https://www.bydureon.com/" target="_blank">Bydureon Pen</a>•</li>
                        <li><a href="https://www.astrazeneca.com/" target="_blank">Astrazeneca</a>•</li>
                        <li><a href="php/logout.php">Cerra Sesión</a></li>
                    </ul>
                    <div id="video-control">
                        <span id="silencio" onclick="silenciarVideo()"><i class="fa fa-volume-up"></i></span>
                        <input type="range" id="bar-volumen" min="0" max="1" step="0.1" value="1" onchange="ajustarVolumen()">
                    </div>
                </div>

            </nav>
            <main>
                <img class="logo-juego" src="img/iconos/logo.gif">
                <section class=villa>
                    <div class="fondo">
                        <div class="campo"></div>
                    </div>
                    <div class="castillos">
                        <div class="sendero"><img src="img/fondos/sendero.png"></div>
                        <div id="btn-juego">
                            <img src="img/iconos/titulo-juego.png">
                            <img src="img/iconos/btn-juego-flechas.gif">
                        </div>
                        <div id="grupo-a" class="item-castillo">
                            <?php if($progresoClan1 < 0.15){?>
                                <?php if($progresoClan1 > 0.1){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s0">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e1.png">
                            <?php }elseif($progresoClan1 < 0.3){?>
                                <?php if($progresoClan1 > 0.25){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s1">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e1-1.png">
                            <?php }elseif($progresoClan1 < 0.45){?>
                                <?php if($progresoClan1 > 0.35){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s2">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e2.png">
                            <?php }elseif($progresoClan1 < 0.6){?>
                                <?php if($progresoClan1 > 0.5){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s3">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e3.png">
                            <?php }elseif($progresoClan1 < 0.75){?>
                                <?php if($progresoClan1 > 0.65){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s4">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e3-1.png">
                            <?php }else{?>
                                <?php if($progresoClan1 > 0.95){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s5">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/naranja/castillo/e4.png">
                            <?php }?>
                            <img id="e1" class="escudo" src="img/naranja/escudo/escudo.png">
                            <img id="j1" class="lider" src="<?php echo $liderImg2 ?>">
                        </div>
                        <div id="grupo-b" class="item-castillo">
                            <?php if($progresoClan2 < 0.15){?>
                                <?php if($progresoClan2 > 0.1){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s6">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e1.png">
                            <?php }elseif($progresoClan2 < 0.3){?>
                                <?php if($progresoClan2 > 0.25){?>
                                <div class="brillo-castillo">
                                    <div class="animacion-star" id="s7">
                                        <figure class="star">
                                            <img class="star-top" src="img/iconos/star.png">
                                        </figure>
                                    </div>
                                </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e1-1.png">
                            <?php }elseif($progresoClan2 < 0.45){?>
                                <?php if($progresoClan2 > 0.35){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s8">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e2.png">
                            <?php }elseif($progresoClan2 < 0.6){?>
                                <?php if($progresoClan2 > 0.5){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s9">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e3.png">
                            <?php }elseif($progresoClan2 < 0.75){?>
                                <?php if($progresoClan2 > 0.65){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s10">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e3-1.png">
                            <?php }else{?>
                                <?php if($progresoClan2 > 0.95){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s11">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/azul/castillo/e4.png">
                            <?php }?>
                            <img id="e2" class="escudo" src="img/azul/escudo/escudo.png">
                            <img id="j2" class="lider" src="<?php echo $liderImg1 ?>">
                        </div>
                        <div id="grupo-c" class="item-castillo">
                            <?php if($progresoClan3 < 0.15){?>
                                <?php if($progresoClan3 > 0.1){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s12">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e1.png">
                            <?php }elseif($progresoClan3 < 0.3){?>
                                <?php if($progresoClan3 > 0.25){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s13">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e1-1.png">
                            <?php }elseif($progresoClan3 < 0.45){?>
                                <?php if($progresoClan3 > 0.3){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s14">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e2.png">
                            <?php }elseif($progresoClan3 < 0.6){?>
                                <?php if($progresoClan3 > 0.5){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s15">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e3.png">
                            <?php }elseif($progresoClan3 < 0.75){?>
                                <?php if($progresoClan3 > 0.65){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s16">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e3-1.png">
                            <?php }else{?>
                                <?php if($progresoClan3 > 0.95){?>
                                    <div class="brillo-castillo">
                                        <div class="animacion-star" id="s17">
                                            <figure class="star">
                                                <img class="star-top" src="img/iconos/star.png">
                                            </figure>
                                        </div>
                                    </div>
                                <?php } ?>
                                <img class="castillo" src="img/rojo/castillo/e4.png">
                            <?php }?>
                            <img id="e3" class="escudo" src="img/rojo/escudo/escudo.png">
                            <img id="j3" class="lider" src="<?php echo $liderImg3 ?>">
                        </div>
                    </div>
                </section>
                <a><img id="btn-ayuda" src="img/iconos/ayuda.png"></a>
                <a><img id="btn-tesoro" src="img/iconos/tesoro.gif"></a>
                <a><img id="btn-top" src="img/iconos/top10.png"></a>
                <section class="aviso-menu">
                    <p class="titulo">
                        Bienvenido
                        <br>
                        <strong>a Villa Bydur</strong>
                    </p>
                    <hr>
                    <p class="texto-generico"><b>Los líderes junto a valientes guerreros estarán dispuestos a superar grandes retos para obtener valiosos tesoros.
</b></p>
                    <ul class="menu-lateral">
                        <li id="btn-decretos"><a>Decretos</a></li>                        
                    </ul>

                </section>
                <section class="aviso-progreso-general">
                    <img class="fondo-aviso-progress" src="img/fondos/fondo-progresos-villa-abre.png">
                    <div id="cerrar-abrir-barras"></div>
                    <div class="barra-progreso barra-principal">
                        <img class="inicio-barra" src="img/iconos/nombre.png">
                        <div class="progress">
                            <span class="progress-label progress-label-general"><strong><?php echo ceil($promBydur*100) ?>%</strong></span>
                            <progress max="100" value="<?php echo ceil($promBydur*100) ?>" class="progress-main">
                                <div class="progress-bar" role="presentation">
                                    <span class="progress-value" style="width: 80%;"> </span>
                                </div>
                            </progress>
                        </div>
                        <img class="meta-barra" src="img/iconos/logo-reino.png">
                    </div>
                    <div class="grupo-progreso">
                        <div class="barra-progreso barra-principal">
                            <div class="progress">
                                <span class="progress-label">DECRETOS: <span><strong><?php echo ceil($promDecretos*100) ?>%</strong></span></span>
                                <progress max="100" value="<?php echo ceil($promDecretos*100) ?>" class="progress-main progress-p">
                                    <div class="progress-bar" role="presentation">
                                        <span class="progress-value" style="width: 80%;"> </span>
                                    </div>
                                </progress>
                            </div>
                            <img class="meta-barra meta-barra-p" src="img/iconos/corona.png">
                        </div>
                        
                    </div>
                </section>
            </main>
            <section class="interna esconde-pop">
                <!-- Pop guerreros azul -->
                <div class="pop-up pop-contenido-metas pop-guerreros-azul">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">NUEVOS GUERREROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/azul/jefe.png">
                                <img class="img-escudo-interna" src="img/azul/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/azul/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br>
                                        <br>
                                    </p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsGuerreros[0][3] ?> nuevos guerreros</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsGuerreros[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsGuerreros[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsGuerreros[0][2] ?> Guerreros</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayGuerreros1); $i++){ ?>
                                        <?php if ($arrayGuerreros1[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayGuerreros1[$i][1] == $liderGuerreros1[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros1[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros1[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros1[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros1[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayGuerreros1[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros1[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td><img class="img-user-data " src="img/iconos/id-lider.png">
                                                        <?php if ($arrayGuerreros1[$i][1] == $liderGuerreros1[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros1[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros1[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros1[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros1[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayGuerreros1[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros1[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayGuerreros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayGuerreros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayGuerreros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayGuerreros1)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayGuerreros1)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayGuerreros1)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-guerreros">Ver datos del clan naranja</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-guerreros">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop guerreros naranja -->
                <div class="pop-up pop-contenido-metas pop-guerreros-naranja">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">NUEVOS GUERREROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/naranja/jefe.png">
                                <img class="img-escudo-interna" src="img/naranja/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/naranja/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsGuerreros[0][3] ?> nuevos guerreros</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsGuerreros[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsGuerreros[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsGuerreros[0][2] ?> Guerreros</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayGuerreros2); $i++){ ?>
                                        <?php if ($arrayGuerreros2[$i][1] == $userLogged) { ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayGuerreros2[$i][1] == $liderGuerreros2[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros2[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros2[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros2[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros2[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayGuerreros2[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros2[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayGuerreros2[$i][1] == $liderGuerreros2[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros2[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros2[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros2[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros2[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayGuerreros2[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros2[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayGuerreros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayGuerreros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayGuerreros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayGuerreros2)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayGuerreros2)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayGuerreros2)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-guerreros">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-guerreros">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop guerreros rojo -->
                <div class="pop-up pop-contenido-metas pop-guerreros-rojo">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">NUEVOS GUERREROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/rojo/jefe.png">
                                <img class="img-escudo-interna" src="img/rojo/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/rojo/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsGuerreros[0][3] ?> nuevos guerreros</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsGuerreros[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsGuerreros[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsGuerreros[0][2] ?> Guerreros</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayGuerreros3); $i++){ ?>
                                        <?php if ($arrayGuerreros3[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayGuerreros3[$i][1] == $liderGuerreros3[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros3[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros3[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros3[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros3[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayGuerreros3[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayGuerreros3[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayGuerreros3[$i][1] == $liderGuerreros3[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros3[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros3[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros3[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros3[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayGuerreros3[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayGuerreros3[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayGuerreros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayGuerreros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayGuerreros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayGuerreros3)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayGuerreros3)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayGuerreros3)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-guerreros">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-guerreros">Ver datos del clan naranja</a>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Pop decretos azul -->
                <div class="pop-up pop-contenido-metas pop-decretos-azul">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">DECRETOS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/azul/jefe.png">
                                <img class="img-escudo-interna" src="img/azul/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/azul/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsDecretos[0][3] ?> nuevos decretos</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsDecretos[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsDecretos[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsDecretos[0][2] ?> Decretos</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representates
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayDecretos1); $i++){ ?>
                                        <?php if ($arrayDecretos1[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayDecretos1[$i][1] == $liderDecretos1[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos1[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos1[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos1[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos1[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayDecretos1[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos1[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayDecretos1[$i][1] == $liderDecretos1[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos1[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos1[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos1[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos1[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayDecretos1[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos1[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayDecretos1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayDecretos1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayDecretos1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayDecretos1)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayDecretos1)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayDecretos1)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-decretos">Ver datos del clan naranja</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-decretos">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop decretos naranja -->
                <div class="pop-up pop-contenido-metas pop-decretos-naranja">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">DECRETOS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/naranja/jefe.png">
                                <img class="img-escudo-interna" src="img/naranja/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/naranja/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsDecretos[0][3] ?> nuevos decretos</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsDecretos[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsDecretos[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsDecretos[0][2] ?> Decretos</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representates
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayDecretos2); $i++){ ?>
                                        <?php if ($arrayDecretos2[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayDecretos2[$i][1] == $liderDecretos2[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos2[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos2[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos2[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos2[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayDecretos2[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos2[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayDecretos2[$i][1] == $liderDecretos2[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos2[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos2[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos2[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos2[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayDecretos2[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos2[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayDecretos2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayDecretos2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayDecretos2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayDecretos2)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayDecretos2)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayDecretos2)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-decretos">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-decretos">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Pop decretos rojo -->
                <div class="pop-up pop-contenido-metas pop-decretos-rojo">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">DECRETOS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/rojo/jefe.png">
                                <img class="img-escudo-interna" src="img/rojo/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/rojo/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsDecretos[0][3] ?> nuevos decretos</strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsDecretos[0][5])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsDecretos[0][5])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label"><span><strong><?php echo $statsDecretos[0][2] ?> Decretos</strong></span></span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representates
                                        </th>
                                        <th>
                                            Meta Año
                                        </th>
                                        <th>
                                            Logro Semana
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayDecretos3); $i++){ ?>
                                        <?php if ($arrayDecretos3[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayDecretos3[$i][1] == $liderDecretos3[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos3[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos3[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos3[$i][3] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos3[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayDecretos3[$i][5])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayDecretos3[$i][6] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayDecretos3[$i][1] == $liderDecretos3[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos3[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos3[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos3[$i][3] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos3[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayDecretos3[$i][5])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayDecretos3[$i][6] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayDecretos3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(3, $arrayDecretos3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayDecretos3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(5, $arrayDecretos3)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(5, $arrayDecretos3)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(5, $arrayDecretos3)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-decretos">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-decretos">Ver datos del clan naranja</a>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Pop caballeros azul -->
                <div class="pop-up pop-contenido-metas pop-caballeros-azul pop-caballeros">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">ORDENAMIENTO CABALLEROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/azul/jefe.png">
                                <img class="img-escudo-interna" src="img/azul/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/azul/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][3] ?> nuevos miembros en la orden del <span class="orden">Águila</span></strong>
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][7] ?> nuevos miembros en la orden del <span class="orden">Dragón</span></strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsCaballeros[0][10])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsCaballeros[0][10])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label-inf"><span><span class="icon-eagle"></span>
                                            <?php echo $statsCaballeros[0][2] ?>&nbsp;&nbsp; <span class="icon-japanese-dragon"></span>
                                                <?php echo $statsCaballeros[0][6] ?>
                                                    </span>
                                                    </span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Dragones
                                        </th>
                                        <th colspan="2">
                                            Avance
                                            <br>Semana
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Dragones
                                        </th>
                                        <th>
                                            %
                                            <br>Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayCaballeros1); $i++){ ?>
                                        <?php if ($arrayCaballeros1[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayCaballeros1[$i][1] == $liderCaballeros1[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][6] ?>
                                                </td>
                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                    <?php echo $arrayCaballeros1[$i][3] ?>
                                                </td>
                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                    <?php echo $arrayCaballeros1[$i][7] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][8] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayCaballeros1[$i][10])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros1[$i][11] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayCaballeros1[$i][1] == $liderCaballeros1[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/azul/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][6] ?>
                                                    </td>
                                                    <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                        <?php echo $arrayCaballeros1[$i][3] ?>
                                                    </td>
                                                    <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                        <?php echo $arrayCaballeros1[$i][7] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][8] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayCaballeros1[$i][10])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros1[$i][11] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(6, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                                    <?php echo sumCol(3, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                                    <?php echo sumCol(7, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(8, $arrayCaballeros1) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(10, $arrayCaballeros1)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(10, $arrayCaballeros1)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(10, $arrayCaballeros1)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-caballeros">Ver datos del clan naranja</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-caballeros">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop caballeros naranja -->
                <div class="pop-up pop-contenido-metas pop-caballeros-naranja pop-caballeros">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">ORDENAMIENTO CABALLEROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/naranja/jefe.png">
                                <img class="img-escudo-interna" src="img/naranja/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/naranja/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][3] ?> nuevos miembros en la orden del <span class="orden">Águila</span></strong>
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][7] ?> nuevos miembros en la orden del <span class="orden">Dragón</span></strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsCaballeros[0][10])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsCaballeros[0][10])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label-inf"><span><span class="icon-eagle"></span>
                                            <?php echo $statsCaballeros[0][2] ?>&nbsp;&nbsp; <span class="icon-japanese-dragon"></span>
                                                <?php echo $statsCaballeros[0][6] ?>
                                                    </span>
                                                    </span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Dragones
                                        </th>
                                        <th colspan="2">
                                            Avance
                                            <br>Semana
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Dragones
                                        </th>
                                        <th>
                                            %
                                            <br>Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayCaballeros2); $i++){ ?>
                                        <?php if ($arrayCaballeros2[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayCaballeros2[$i][1] == $liderCaballeros2[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][6] ?>
                                                </td>
                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                    <?php echo $arrayCaballeros2[$i][3] ?>
                                                </td>
                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                    <?php echo $arrayCaballeros2[$i][7] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][8] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayCaballeros2[$i][10])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros2[$i][11] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayCaballeros2[$i][1] == $liderCaballeros2[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/naranja/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][6] ?>
                                                    </td>
                                                    <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                        <?php echo $arrayCaballeros2[$i][3] ?>
                                                    </td>
                                                    <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                        <?php echo $arrayCaballeros2[$i][7] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][8] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayCaballeros2[$i][10])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros2[$i][11] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(6, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                                    <?php echo sumCol(3, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                                    <?php echo sumCol(7, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(8, $arrayCaballeros2) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(10, $arrayCaballeros2)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(10, $arrayCaballeros2)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(10, $arrayCaballeros2)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-caballeros">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-rojo">
                                <img class="btn-casti" src="img/rojo/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-rojo-caballeros">Ver datos del clan rojo</a>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Pop caballeros rojo -->
                <div class="pop-up pop-contenido-metas pop-caballeros-rojo pop-caballeros">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">ORDENAMIENTO CABALLEROS</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <img class="img-lider-interna" src="img/rojo/jefe.png">
                                <img class="img-escudo-interna" src="img/rojo/escudo/escudo-i.png">
                                <img class="img-castillo-interna" src="img/rojo/castillo/castillo-i.png">
                                <div class="data-lider">
                                    <p class="nombre-user"><strong><?php echo $userNick ?></strong>
                                        <br><br></p>
                                    <img src="<?php echo $userImg ?>">
                                </div>
                                <div class="meta-nueva">
                                    <p class="titulo">
                                        Has conseguido:
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][3] ?> nuevos miembros en la orden del <span class="orden">Águila</span></strong>
                                        <br>
                                        <strong><?php echo $statsCaballeros[0][7] ?> nuevos miembros en la orden del <span class="orden">Dragón</span></strong>
                                    </p>
                                </div>
                                <div class="progress-personal">
                                    <div class="barra-progreso barra-principal">
                                        <div class="progress">
                                            <span class="progress-label">Meta Personal: <?php echo (stringTofloat($statsCaballeros[0][10])*100)."%" ?></span>
                                            <progress max="100" value="<?php echo (stringTofloat($statsCaballeros[0][10])*100) ?>" class="progress-main progress-p">
                                                <div class="progress-bar" role="presentation">
                                                    <span class="progress-value" style="width: 80%;"> </span>
                                                </div>
                                            </progress>
                                            <span class="progress-label-inf"><span><span class="icon-eagle"></span>
                                            <?php echo $statsCaballeros[0][2] ?>&nbsp;&nbsp; <span class="icon-japanese-dragon"></span>
                                                <?php echo $statsCaballeros[0][6] ?>
                                                    </span>
                                                    </span>
                                        </div>
                                        <img class="meta-barra meta-barra-p" src="img/iconos/id-lider.gif">
                                    </div>
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th></th>
                                        <th>
                                            Representantes
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Meta/
                                            <br>Dragones
                                        </th>
                                        <th colspan="2">
                                            Avance
                                            <br>Semana
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Águilas
                                        </th>
                                        <th>
                                            Acum/
                                            <br>Dragones
                                        </th>
                                        <th>
                                            %
                                            <br>Cumplimiento
                                        </th>
                                        <th>
                                            Posición
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayCaballeros3); $i++){ ?>
                                        <?php if ($arrayCaballeros3[$i][1] == $userLogged){ ?>
                                            <tr class="lider-table">
                                                <td><img class="img-user-data user-activo" src="img/iconos/id-lider.png">
                                                    <?php if ($arrayCaballeros3[$i][1] == $liderCaballeros3[0][1]){ ?>
                                                        <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                        <?php }?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][1] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][2] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][6] ?>
                                                </td>
                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                    <?php echo $arrayCaballeros3[$i][3] ?>
                                                </td>
                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                    <?php echo $arrayCaballeros3[$i][7] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][4] ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][8] ?>
                                                </td>
                                                <td>
                                                    <?php echo (stringTofloat($arrayCaballeros3[$i][10])*100)."%" ?>
                                                </td>
                                                <td>
                                                    <?php echo $arrayCaballeros3[$i][11] ?>
                                                </td>
                                            </tr>
                                            <?php } else { ?>
                                                <tr>
                                                    <td>
                                                        <?php if ($arrayCaballeros3[$i][1] == $liderCaballeros3[0][1]){ ?>
                                                            <img class="img-lider-data lider-activo" src="img/rojo/id-lider.png">
                                                            <?php }?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][1] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][2] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][6] ?>
                                                    </td>
                                                    <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                        <?php echo $arrayCaballeros3[$i][3] ?>
                                                    </td>
                                                    <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                        <?php echo $arrayCaballeros3[$i][7] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][4] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][8] ?>
                                                    </td>
                                                    <td>
                                                        <?php echo (stringTofloat($arrayCaballeros3[$i][10])*100)."%" ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $arrayCaballeros3[$i][11] ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                                    <?php } ?>

                                                        <tfoot>
                                                            <tr>
                                                                <td></td>
                                                                <td class="text-meta-final">Meta del Clan</td>
                                                                <td>
                                                                    <?php echo sumCol(2, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(6, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td class="icon no-borde"><span class="icon-eagle">&nbsp;</span>
                                                                    <?php echo sumCol(3, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td class="icon"><span class="icon-japanese-dragon">&nbsp;</span>
                                                                    <?php echo sumCol(7, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(4, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo sumCol(8, $arrayCaballeros3) ?>
                                                                </td>
                                                                <td>
                                                                    <?php echo ceil(promCol(10, $arrayCaballeros3)*100)."%" ?>
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </tfoot>
                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="meta-label"><?php echo ceil(promCol(10, $arrayCaballeros3)*100) ?>%</span>
                                        <progress max="100" value="<?php echo ceil(promCol(10, $arrayCaballeros3)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="botonera">
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-azul">
                                <img class="btn-casti" src="img/azul/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-azul-caballeros">Ver datos del clan azul</a>
                            </div>
                        </div>
                        <div class="btn-clan">
                            <div class="btn-datos-clan clan-naranja">
                                <img class="btn-casti" src="img/naranja/castillo/castillo-i.png">
                                <a class="btn-otro-clan btn-naranja-caballeros">Ver datos del clan naranja</a>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Pop arcas-->
                <div class="pop-up pop-contenido-metas pop-arcas">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">ARCAS DEL REINO</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <div class="logo-arcas">
                                    <img class="img-escudo-interna" src="img/azul/escudo/escudo-i.png">
                                    <img class="img-escudo-interna" src="img/naranja/escudo/escudo-i.png">
                                    <img class="img-escudo-interna" src="img/rojo/escudo/escudo-i.png">
                                </div>
                            </div>
                            <div class="table-clan-data">
                                <table>
                                    <tr>
                                        <th class="text-meta-final">
                                            Arcas
                                        </th>
                                        <th>
                                            Objetivo
                                        </th>
                                        <th>
                                            Resultado Mes
                                        </th>
                                        <th>
                                            Acumulado
                                        </th>
                                        <th>
                                            % Cumplimiento
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<count($arrayArcas); $i++){ ?>
                                        <tr>
                                            <td>
                                                <?php echo $arrayArcas[$i][0] ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayArcas[$i][1] ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayArcas[$i][2] ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayArcas[$i][3] ?>
                                            </td>
                                            <td>
                                                <?php echo (stringTofloat($arrayArcas[$i][4])*100)."%" ?>
                                            </td>
                                        </tr>
                                        <?php } ?>

                                </table>
                            </div>
                            <div class="progress-clan">
                                <div class="barra-progreso barra-principal">
                                    <div class="progress">
                                        <span class="progress-label"><?php echo ceil(promCol(4, $arrayArcas)*100) ?>%</span>
                                        <span class="meta-label">Meta del Reino</span>
                                        <progress max="100" value="<?php echo ceil(promCol(4, $arrayArcas)*100) ?>" class="progress-main ">
                                            <div class="progress-bar" role="presentation">
                                                <span class="progress-value" style="width: 80%;"> </span>
                                            </div>
                                        </progress>
                                        <img class="meta-barra" src="img/iconos/meta-escudo.gif">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <!-- Pop restringe juego-->
                <div class="pop-up pop-contenido-metas pop-arco">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <div class="clan-data">
                            <div class="pop-header">
                                <div class="logo-arco">
                                    <img class="img-escudo-interna" src="img/iconos/btn-juego-flechas.gif">
                                </div>
                            </div>
                            <div class="info">
                                <h1>CAMPO DE TIRO</h1>
                                <p>
                                    <?php echo $msj ?>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop premios-->
                <div class="pop-up pop-contenido-metas pop-tesoro">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">Tesoros</h2>
                        <div class="clan-data">
                            <div class="info">
                                <img src="img/iconos/tesoro.png">
                                <h1>Concurso de la semana</h1>
                                <?php if($desafio == "guerreros"){ ?>
                                    <h2>Nuevos Guerreros</h2>
                                    <?php } elseif ($desafio == "decretos"){ ?>
                                        <h2>Decretos</h2>
                                        <?php } elseif ($desafio == "caballeros"){ ?>
                                            <h2>Ordenamiento Caballeros</h2>
                                            <?php } elseif ($desafio == "general"){ ?>
                                                <h2>General</h2>
                                                <?php } ?>
                                                    <hr>
                                                    <p>Para participar por el premio de la semana debes ser el líder de tu clan.</p>
                            </div>
                            <div class="tesoro">
                                <div class="premio">
                                    <img src="prize/premio.png">
                                </div>
                                <span><?php echo $nombrePremio ?></span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop ayuda-->
                <div class="pop-up pop-contenido-metas pop-ayuda">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">AYUDA</h2>
                        <div class="clan-data">
                            <div class="info">
                                <div class="menu-ayuda">
                                    <h2>Menú ayuda</h2>
                                    <ul>
                                        <ol>
                                            <li><a id="uno">Qué es Villa Bydur</a></li>
                                            <br/>
                                            <li><a id="dos">Cómo jugar</a></li>
                                            <br/>
                                            <li><a id="tres">Campo de tiro</a></li>
                                            <br/>
                                            <li><a id="cuatro">Reconocimientos</a></li>
                                            <br/>
                                            <li><a id="cinco">Roles</a></li>
                                            <br/>
                                            <li><a id="seis">Glosario</a></li>
                                            <br/>
                                            <li><a id="siete">Condiciones</a></li>
                                        </ol>
                                    </ul>
                                </div>

                            </div>
                            <div class="texto">
                                <p>Erase una vez una Villa llamada Bydur donde habitaban tres clanes conformados por líderes que buscaban aumentar sus arcas y se empeñaban en hacer que la villa se convirtiera en reino.
                                    <br>
                                    <br> Los líderes se reunían en la hostelería central donde maquinaban sus estrategias, el ordenamiento de sus tropas y el reclutamiento de los mejores guerreros de los alrededores apetecidos por otras villas.</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Pop Top Ten-->
                <div class="pop-up pop-contenido-metas pop-topTen">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">TOP 10</h2>
                        <div class="clan-data">
                            <div class="pop-header">
                                <div class="logo-arcas">
                                    <img class="img-escudo-interna" src="img/azul/escudo/escudo-i.png">
                                    <img class="img-escudo-interna" src="img/naranja/escudo/escudo-i.png">
                                    <img class="img-escudo-interna" src="img/rojo/escudo/escudo-i.png">
                                </div>
                            </div>
                            <div class="table-clan-data top-10">
                                <table>
                                    <tr>
                                        <th class="text-meta-final">
                                            Posición
                                        </th>
                                        <th>
                                            Doctor
                                        </th>
                                        <th>
                                            Representante
                                        </th>
                                        <th>
                                            Puntaje
                                        </th>
                                    </tr>

                                    <?php for($i=0; $i<10; $i++){ ?>
                                        <tr>
                                            <td>
                                                <?php echo $i + 1 ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayTop[$i][0] ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayTop[$i][1] ?>
                                            </td>
                                            <td>
                                                <?php echo $arrayTop[$i][2] ?>
                                            </td>
                                        </tr>
                                    <?php } ?>

                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>

        <script type="text/javascript" src="lib/jquery-2.2.3.min.js"></script>
        <script type="text/javascript" src="lib/jquery-migrate-1.2.1.min.js"></script>
        <script type="text/javascript" src="js/script-style.js"></script>
        <script type="text/javascript" src="js/script-pops.js"></script>
        <script type="text/javascript" src="js/ayuda.js"></script>
        <script type="text/javascript" src="js/loop.js"></script>
    </body>

    </html>