<?php
    session_start();
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
        if(isset($_SESSION['play']) && $_SESSION['play'] == "TRUE"){
            
        }else{
            header("location:campo.php");
        }
    } else {
        header("location:index.php");
    }

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <title>Villa Bydur</title>
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" type="text/css" href="css/menu.css">
    <link rel="stylesheet" type="text/css" href="css/interna.css">
    <link rel="stylesheet" type="text/css" href="css/juego-arco.css">
    <link rel="stylesheet" href="lib/font-awesome-4.3.0/css/font-awesome.min.css">

    <?php
        include "php/functions.php"
        ?>
    <?php
        $nombrePremio = openPrize("prize/nombre.txt");
        $desafio = getWeekly("prize/desafio.txt");
    ?>
</head>
<body onload="init();">
    <audio loop autoplay id="audio-juego"><source src="sounds/background.mp3" type="audio/mpeg"></audio>
      
    <nav class="menu">
                <div class="nav-sup">
                    <ul class="primera-linea">
                        <li><a href="campo.php">Inicio</a>•</li>
                        <li><a href="villa-bydur-info.html" target="_blank">Villa Bydur</a>•</li>
                        <li><a href="https://www.bydureon.com/" target="_blank">Bydureon Pen</a>•</li>
                        <li><a href="https://www.astrazeneca.com/" target="_blank">Astrazeneca</a>•</li>
                        <li><a href="php/logout.php">Cerra Sesión</a></li>
                    </ul>
                    <div id="video-control">                
                        <span id="silencio"  onclick="silenciarVideo()" ><i class="fa fa-volume-up"></i></span>
                        <input type="range" id="bar-volumen" min="0" max="1" step="0.1" value="1" onchange="ajustarVolumen()">
                    </div>
                </div>
                
            </nav>
    <main>
        <img class="logo-juego" src="img/iconos/logo.gif">
        
        <section class='campo-tiro'>
            <img src="img/fondos/campo-tiro.jpg">
        </section>  
        <div class="puntaje">
            <span id="puntos">Puntos: 0</span>
            <span id="x" style="display:none;">X: 0</span>
            <span id="y" style="display:none;">Y: 0</span>
        </div>
        <div class="tablero-juego">
            <div class="target">
                <img id="scream"  src="img/iconos/dardo.png" alt="The Scream">
            <img id="dardo-anima"  src="img/juego-arco/dardo.png" alt="The Scream">
            <img id="dardo-anima-der"  src="img/juego-arco/dardo-der.png" alt="The Scream">
            <canvas id="canvasArchery" width="100" height="100">
                Your browser does not support the HTML5 canvas tag.
            </canvas> 
            <canvas id="canvasFlecha" width="100" height="100">
                Your browser does not support the HTML5 canvas tag.
            </canvas>
            </div>
                           
        </div>
        <div class="botonera-juego">
            <a class="btn-reintento" onclick="reiniciar()">Reintentar</a>
            <a onclick="shot()">Disparar</a>
        </div>
        
        <a><img id="btn-tesoro" src="img/iconos/tesoro.gif"></a>
        <section class="aviso-vidas">
                   <img class="escudo-juego" src="img/iconos/btn-juego-flechas.gif">
                    <p class="titulo">
                        Oportunidades
                        <br>
                        <strong>Restantes</strong>
                    </p>
                    <hr>                    
                    <ul class="oportunidades-lateral">
                        <li><img id="disparo1" class="activo" src="img/iconos/intento.png"></li>
                        <li><img id="disparo2" class="activo" src="img/iconos/intento.png"></li>
                        <li><img id="disparo3" class="activo" src="img/iconos/intento.png"></li>
                    </ul>

                </section>
    </main>
    <section class="interna esconde-pop">
        <div class="pop-up pop-contenido-metas pop-tesoro">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">Tesoros</h2>
                        <div class="clan-data">
                            <div class="info">
                                <img src="img/iconos/tesoro.png">
                                <h1>Concurso de la semana</h1>
                                <?php if($desafio == "guerreros"){ ?>
                                <h2>Nuevos Guerreros</h2>
                                <?php } elseif ($desafio == "decretos"){ ?>
                                <h2>Decretos</h2>
                                <?php } elseif ($desafio == "caballeros"){ ?>
                                <h2>Ordenamiento Caballeros</h2>
                                <?php } elseif ($desafio == "general"){ ?>
                                <h2>General</h2>
                                <?php } ?>
                                <hr>
                                <p>Juega y acumula el mayor número de puntos para participar por el premio de esta semana.</p>
                            </div>
                            <div class="tesoro">
                                <div class="premio">
                                    <img src="prize/premio.png">
                                </div>
                                <span><?php echo $nombrePremio ?></span>
                            </div>
                        </div>
                    </div>
                </div>
        <div class="btn-clan"></div>
        <!-- Pop restringe juego-->
        <div class="pop-up pop-contenido-metas pop-puntaje">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <div class="clan-data">
                            <div class="pop-header">
                                <div class="logo-arco">
                                    <img class="img-escudo-interna" src="img/iconos/btn-juego-flechas.gif">                                   
                                </div>
                            </div>
                            <form id="formPoints" class="info" method="post" enctype="form-data" action="php/points.php">
                                <p>Puntos Acumulados</p>
                                <input type="text" id="score" name="score" value="0" hidden/>
                                <h2 id="score-label"></h2>
                                <input id="obtener-puntaje" type="submit" value="Volver a Villa Bydur"/>
                            </form>
                        </div>
                    </div>
                </div>
        <div class="pop-up pop-contenido-metas pop-tutorial">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <a class="pop-cerrar">X</a>
                        <h2 class="pop-titulo">Tutorial</h2>
                        <div class="clan-data">
                            <div class="instructivo-tutorial">¡Prueba tu puntería! Prepara, apunta y dispara. Tienes 3 oportunidades de ganar, entre más te acerces al centro del tablero más puntaje vas a lograr.</div>
                            <video class="video-tutorial" controls>
				            <source src="videos/tutorial.mp4" type="video/mp4">
                        </div>
                    </div>
                </div>
    </section>
    <script type="text/javascript" src="lib/jquery-2.2.3.min.js"></script>
    <script type="text/javascript" src="lib/jquery-migrate-1.2.1.min.js"></script>
    <script type="text/javascript">
        
        
        $(document).ready( function(){
            var c = $('#canvasArchery');
            var ct = c.get(0).getContext('2d');
            var container = $(c).parent();
            var cf = $('#canvasFlecha');
            var ctf = cf.get(0).getContext('2d');
            var containerf = $(cf).parent();
            $(window).resize( respondCanvas );
            $('.interna').removeClass('esconde-pop');
            $('.interna').addClass('muestra-pop');
            $('.villa').addClass('desenfoque');
            $('.aviso-menu').addClass('desenfoque');
            $('.aviso-progreso-general').addClass('desenfoque');
            $('.pop-tutorial').slideDown(300);
            $('.btn-reintento').css('display','none');
            function respondCanvas(){ 
                c.attr('width', $(container).width() * 0.8); //max width
                c.attr('height', $(container).height() * 0.8); //max height
                cf.attr('width', $(containerf).width() + $(containerf).width() *0.5); //max width
                cf.attr('height', $(containerf).height() + $(containerf).height()*0.5); //max height
            }

            //Initial call 
            respondCanvas();

        });
        var context;
        var x = 50;
        var y = 50;
        var dx = 10;
        var dy = 8;
        var rs = 3;
        var points = 0;

        function init()
        {
            var canvasArchery = document.getElementById("canvasArchery");
            context = canvasArchery.getContext('2d');
            window.scopeInterval = setInterval(draw,30);    
            var canvasFlecha = document.getElementById("canvasFlecha");
            contextf = canvasFlecha.getContext('2d');
        }

        function draw()
        {
            var width = canvasArchery.width;
            var height= canvasArchery.height; 
            var widthImg = canvasArchery.width;
            var img = document.getElementById("scream");
            context.clearRect(0,0, width,height);
            context.fillStyle = "yellow";
            context.fill();
            context.beginPath();
            context.drawImage(img,x,y,width/7,height/7);
            context.closePath();
            if( x < 0 || x > width){
                dx = -dx
            }  
            if( y < 0 || y > height){
                dy = -dy;
            }
            x += dx; 
            y += dy;
        }
        function drawDardoIzq(posx,posy){
            var width = canvasFlecha.width;
            var height= canvasFlecha.height; 
            var widthImg = canvasFlecha.width;
            var img = document.getElementById("dardo-anima");
            //contextf.clearRect(0,0, width,height);
            contextf.fill();
            contextf.drawImage(img,posx + (width*0.19),posy + (width * 0.18),width/8,height/9);
            contextf.closePath();
            /*if( x < 0 || x > width){
                dx = -dx
            }  
            if( y < 0 || y > height){
                dy = -dy;
            }
            x += dx; 
            y += dy;*/
        }
        function drawDardoDer(posx,posy){
            var width = canvasFlecha.width;
            var height= canvasFlecha.height; 
            var widthImg = canvasArchery.width;
            var img = document.getElementById("dardo-anima-der");
            //contextf.clearRect(0,0, width,height);
            contextf.fill();
            contextf.drawImage(img,posx + (width*0.22),posy + (width * 0.14),width/8,height/9);
            contextf.closePath();
            /*if( x < 0 || x > width){
                dx = -dx
            }  
            if( y < 0 || y > height){
                dy = -dy;
            }
            x += dx; 
            y += dy;*/
        }
        function reiniciar(){
            var width = canvasFlecha.width;
            var height= canvasFlecha.height;
            //contextf.clearRect(0,0, width,height);
            window.scopeInterval = setInterval(draw,25);
        }
        function shot()
        {
            var width = canvasArchery.width;
            var height= canvasArchery.height;
            var sectionx = canvasArchery.width/20;
            var sectiony = canvasArchery.height/20;
            
            /*if (rs == 4){
                
                $('.btn-reintento').css('display','none');
                setTimeout(function(){                    
                    $('.interna').removeClass('esconde-pop');
                    $('.interna').addClass('muestra-pop');
                    $('.villa').addClass('desenfoque');
                    $('.aviso-menu').addClass('desenfoque');
                    $('.pop-puntaje').slideDown(300);
                    $('#btn-tesoro').hide();
                }, 2000);
            }*/
            if (rs > 0){
                rs -= 1;
                clearInterval(scopeInterval);
                context.clearRect(0,0, width,height);
                $('.btn-reintento').css('display','inline-block');
                
                if(x<=sectionx*9){
                    drawDardoIzq(x,y);
                }else{
                    if(x>sectionx*9){
                    drawDardoDer(x,y);}
                }
                if(x < sectionx || y < sectiony || x > sectionx*19 || y > sectiony*19){
                    points += 10;
                }else if(x < sectionx*2 || y < sectiony*2 || x > sectionx*18 || y > sectiony*18){
                    points += 20;
                }else if(x < sectionx*3 || y < sectiony*3 || x > sectionx*17 || y > sectiony*17){
                    points += 30;
                }else if(x < sectionx*4 || y < sectiony*4 || x > sectionx*16 || y > sectiony*16){
                    points += 40;
                }else if(x < sectionx*5 || y < sectiony*5 || x > sectionx*15 || y > sectiony*15){
                    points += 50;
                }else if(x < sectionx*6 || y < sectiony*6 || x > sectionx*14 || y > sectiony*14){
                    points += 60;
                }else if(x < sectionx*7 || y < sectiony*7 || x > sectionx*13 || y > sectiony*13){
                    points += 70;
                }else if(x < sectionx*8 || y < sectiony*8 || x > sectionx*12 || y > sectiony*12){
                    points += 80;
                }else if(x < sectionx*9 || y < sectiony*9 || x > sectionx*11 || y > sectiony*11){
                    points += 90;
                }else if(x < sectionx*10 || y < sectiony*10 || x > sectionx*10 || y > sectiony*10){
                    points += 100;
                }else{
                    points += 0;
                }
                
                document.getElementById("puntos").innerHTML = "Puntos: " + points;
                document.getElementById("x").innerHTML = "x: " + x;
                document.getElementById("y").innerHTML = "y: " + y;
                
            } else {
                
            }
            
            if(rs == 2){
                document.getElementById("disparo1").className = "quemado";
                document.getElementById("disparo1").src = "img/iconos/intento-quemado.png";
            }else if (rs == 1){
                document.getElementById("disparo2").className = "quemado";
                document.getElementById("disparo2").src = "img/iconos/intento-quemado.png";
            }else if (rs == 0){
                clearInterval(scopeInterval);
                document.getElementById("disparo3").className = "quemado";
                document.getElementById("disparo3").src = "img/iconos/intento-quemado.png";
                $('#score').val(points);
                $('#score-label').text(points);
                $('.btn-reintento').css('display','none');
                setTimeout(function(){                    
                    $('.interna').removeClass('esconde-pop');
                    $('.interna').addClass('muestra-pop');
                    $('.villa').addClass('desenfoque');
                    $('.aviso-menu').addClass('desenfoque');
                    $('.aviso-progreso-general').addClass('desenfoque');
                    $('.pop-puntaje').slideDown(300);
                    $('#btn-tesoro').hide();
                }, 2000);
                
            }
                 
        }
        
    </script>
    
    <script type="text/javascript" src="js/script-style.js"></script>
    <script type="text/javascript" src="js/script-pops.js"></script>
</body>
</html>