<?php
	
function readCSV($fileName, $idName, $readFirstRow, $delimiterLine=1000, $delimiter=";"){
	$array = array();
	if (($gestor = fopen($fileName, "r")) !== FALSE) {
		while (($datos = fgetcsv($gestor, $delimiterLine, $delimiter)) !== FALSE) {
			if($readFirstRow){
				if(strtolower(trim($datos[0])) == strtolower(trim($idName)) ){
					array_push($array, $datos);
				}
			}else{
				$readFirstRow = true;
			}
		}
		fclose($gestor);
		return $array;
	}
}

function readCSV2($fileName, $readFirstRow, $delimiterLine=1000, $delimiter=";"){
	$array = array();
	if (($gestor = fopen($fileName, "r")) !== FALSE) {
		while (($datos = fgetcsv($gestor, $delimiterLine, $delimiter)) !== FALSE) {
			if($readFirstRow){
				array_push($array, $datos);
			}else{
				$readFirstRow = true;
			}
		}
		fclose($gestor);
		return $array;
	}
}

function getLeader($array){
	$leader = array();
	for($i=0; $i<count($array); $i++){
		if($array[$i][6]==1){
            array_push($leader, $array[$i]);
        }
	}
    return $leader;
}

function getLeader2($array){
	$leader = array();
	for($i=0; $i<count($array); $i++){
		if($array[$i][11]==1){
            array_push($leader, $array[$i]);
        }
	}
    return $leader;
}

function getStats($user, $array){
	$stats = array();
	for($i=0; $i<count($array); $i++){
		if($array[$i][1]==$user){
            array_push($stats, $array[$i]);
        }
	}
    return $stats;
}

function sumCol($numCol, $array){
	$total = (float)0;
	for($i=0; $i<count($array); $i++){
		$total += stringTofloat($array[$i][$numCol]);
	}
	return $total;
}

function promCol($numCol, $array){
	$total = (float)0;
	for($i=0; $i<count($array); $i++){
		$total += stringTofloat($array[$i][$numCol]);
	}
	return $total/count($array);
}

function leaderCol($numCol1, $array1, $numCol2, $array2, $numCol3, $array3){
    $leaders = array();
    for($i=0; $i<count($array1); $i++){
        $arraytmp = array($array1[$i][1], (stringTofloat($array1[$i][$numCol1])+stringTofloat($array2[$i][$numCol2])+stringTofloat($array3[$i][$numCol3]))/3);
		array_push($leaders, $arraytmp);
	}
    return $leaders;
}

function leaderClan($array) {
    $leader = array();
    $max = -9999999;
    for($i=0; $i<count($array); $i++){
        if($array[$i][1]>$max){
            $max = $array[$i][1];
            $leader[0][0] = $array[$i][0];
            $leader[0][1] = $max;
        }
	}
    return $leader;
}

function leaderImg($nameLeader) {
    $path = "";
    if($nameLeader == "JOHANNA BLANCO MAGDANIEL"){
        $path = "img/azul/lider/joblancoma.png";
    }elseif ($nameLeader == "MARGARETH PAZ OLIER"){
        $path = "img/azul/lider/mapazol.png";
    }elseif ($nameLeader == "MERLY CASTILLO VELASQUEZ"){
        $path = "img/azul/lider/mecastillove.png";
    }elseif ($nameLeader == "RICARDO SANCHEZ ESPITIA"){
        $path = "img/azul/lider/risanchezes.png";
    }elseif ($nameLeader == "RUTH JIMENEZ SALAZAR"){
        $path = "img/azul/lider/rujimenezsa.png";
    }elseif ($nameLeader == "ADRIANA SILVA APARICIO"){
        $path = "img/naranja/lider/adsilvaap.png";
    }elseif ($nameLeader == "CARLOS CARDONA OSORIO"){
        $path = "img/naranja/lider/cacardonaos.png";
    }elseif ($nameLeader == "JHOANNA MARTINEZ DIAZ"){
        $path = "img/naranja/lider/jhmartinezdi.png";
    }elseif ($nameLeader == "LUIS SUESCUM ORTIZ"){
        $path = "img/naranja/lider/lusuescumor.png";
    }elseif ($nameLeader == "LUISA FRANCO MARULANDA"){
        $path = "img/naranja/lider/lufrancoma.png";
    }elseif ($nameLeader == "DIANA PARRA DAZA"){
        $path = "img/rojo/lider/diparrada.png";
    }elseif ($nameLeader == "JAIME LOPEZ CARDOZO"){
        $path = "img/rojo/lider/jalopezca.png";
    }elseif ($nameLeader == "NATALI MORENO ARISTIZABAL"){
        $path = "img/rojo/lider/namorenoar.png";
    }elseif ($nameLeader == "HERNAN MARTINEZ HERNANDEZ"){
        $path = "img/rojo/lider/hemartinezhe.png";
    }
    return $path;
}

function openPrize($fileName){
    $myfile = fopen($fileName, "r") or die("Unable to open file!");
    $name = fgets($myfile);
    fclose($myfile);
    return $name;
}

function getWeekly($fileName){
    $myfile = fopen($fileName, "r") or die("Unable to open file!");
    $name = fgets($myfile);
    fclose($myfile);
    return $name;
}

function canPlay($fileName){
    $myfile = fopen($fileName, "r") or die("Unable to open file!");
    while(!feof($myfile)) {
      $played = fgets($myfile);
    }
    fclose($myfile);
    return $played;
}

function getScore($fileName){
    $score = array();
    $myfile = fopen($fileName, "r") or die("Unable to open file!");
    while(!feof($myfile)) {
        array_push($score, fgets($myfile));
    }
    fclose($myfile);
    return $score;
}

function getWinner($array1, $array2, $array3) {
    $winner = array();
    if (intval($array1[1]) >= intval($array2[1]) && intval($array1[1]) >= intval($array3[1])){
        array_push($winner, $array1);
    }elseif (intval($array2[1]) >= intval($array1[1]) && intval($array2[1]) >= intval($array3[1])){
        array_push($winner, $array2);
    }elseif (intval($array3[1]) >= intval($array1[1]) && intval($array3[1]) >= intval($array2[1])){
        array_push($winner, $array3);
    }
	
    return $winner;
}


function stringTofloat($value){
	return (float)str_replace(',', '.', $value);
}
	
?>